Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		faad2
Version:	2.7
Release:	1
License:	GNU/GPL 
URL:		http://www.audiocoding.com
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder.
BuildRequires:	dos2unix
BuildRequires:	glibc-devel


%description
FAAD2 is a HE, LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder.
FAAD2 includes code for SBR (HE AAC) decoding.
For more details see: http://www.audiocoding.com

%package devel
Summary: %{name} development headers.
Group: %{group}            
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
#aclocal -I .
#autoheader
#libtoolize --automake --copy
#automake --add-missing --copy
#autoconf
autoreconf -vif
./configure 	--prefix=%_prefix \
		--without-xmms \
  		--with-drm 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

cd common/mp4ff
install -m 644 libmp4ff.a %buildroot/%_libdir
install -m 644 mp4ff.h mp4ff_int_types.h %buildroot/%_includedir
cd ../..

rm -Rf %buildroot/usr/share/man/manm/


%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 15 2009 Christian Metzen <metzench@ccux-linux.de> 2.7-1
- Version update
- adds mp4ff
* Tue Dec 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.5-1
- Version update
* Mon Jul 11 2005 Christian Wasem <wasem@ccux-linux.de> 2.0-3
- added makefile.patch
* Mon Jul 11 2005 Christian Wasem <wasem@ccux-linux.de> 2.0-2
- rebuild for source rpm
